# Class LogBacklogEntry | EchoHub Documentation
A backlog entry read from the log file: one timestamped log line plus any continuation lines (exception stack traces) that followed it.

# Class LogBacklogEntry

Namespace
  EchoHub.Server.Services.ServerLogs

Assembly
  EchoHub.Server.dll

A backlog entry read from the log file: one timestamped log line plus any continuation lines (exception stack traces) that followed it.

    public record LogBacklogEntry : IEquatable<LogBacklogEntry>

Inheritance
  object
  LogBacklogEntry

Implements
  IEquatable<LogBacklogEntry>

Inherited Members
  object.GetType()
  object.MemberwiseClone()
  object.Equals(object, object)
  object.ReferenceEquals(object, object)

## Constructors

### LogBacklogEntry(LogBacklogEntry)

    protected LogBacklogEntry(LogBacklogEntry original)

#### Parameters

`original` LogBacklogEntry

### LogBacklogEntry(DateTimeOffset, string)

A backlog entry read from the log file: one timestamped log line plus any continuation lines (exception stack traces) that followed it.

    public LogBacklogEntry(DateTimeOffset Timestamp, string Content)

#### Parameters

`Timestamp` DateTimeOffset
`Content` string

## Properties

### Content

    public string Content { get; init; }

#### Property Value

string

### EqualityContract

    protected virtual Type EqualityContract { get; }

#### Property Value

Type

### Timestamp

    public DateTimeOffset Timestamp { get; init; }

#### Property Value

DateTimeOffset

## Methods

### Deconstruct(out DateTimeOffset, out string)

    public void Deconstruct(out DateTimeOffset Timestamp, out string Content)

#### Parameters

`Timestamp` DateTimeOffset
`Content` string

### Equals(LogBacklogEntry?)

    public virtual bool Equals(LogBacklogEntry? other)

#### Parameters

`other` LogBacklogEntry

#### Returns

bool

### Equals(object?)

    public override bool Equals(object? obj)

#### Parameters

`obj` object

#### Returns

bool

### GetHashCode()

    public override int GetHashCode()

#### Returns

int

### PrintMembers(StringBuilder)

    protected virtual bool PrintMembers(StringBuilder builder)

#### Parameters

`builder` StringBuilder

#### Returns

bool

### ToString()

    public override string ToString()

#### Returns

string

## Operators

### operator ==(LogBacklogEntry?, LogBacklogEntry?)

    public static bool operator ==(LogBacklogEntry? left, LogBacklogEntry? right)

#### Parameters

`left` LogBacklogEntry
`right` LogBacklogEntry

#### Returns

bool

### operator !=(LogBacklogEntry?, LogBacklogEntry?)

    public static bool operator !=(LogBacklogEntry? left, LogBacklogEntry? right)

#### Parameters

`left` LogBacklogEntry
`right` LogBacklogEntry

#### Returns

bool